Welcome to the Revel Support Center

How Can We Help?

What iOS Versions Do You Support?

By Mark | Updated

Follow

Your Revel Point of Sale is designed to work with the latest iOS version, and maintains backward compatibility with the previous iOS release only.

prev Next Article

Log in to your Management Console

Let the data inform your business decisions

Can't find what you're looking for?

Help is right around the corner!

Submit a Ticket Other Options

Sign up for our newsletter to receive monthly revel updates

Thanks for signing up!

Want to request a new feature? Click here!
Powered by Zendesk